Module java.desktop
Package javax.swing

# Interface ScrollPaneConstants

All Known Implementing Classes:
  `BasicScrollPaneUI`, `JScrollPane`, `MetalScrollPaneUI`, `ScrollPaneLayout`, `ScrollPaneLayout.UIResource`, `SynthScrollPaneUI`

public interface ScrollPaneConstants
Constants used with the JScrollPane component.

Since:
  1.2

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`COLUMN_HEADER`
Identifies the area at the top the viewport between the upper left corner and the upper right corner.
`static String`
`HORIZONTAL_SCROLLBAR`
Identifies a horizontal scrollbar.
`static int`
`HORIZONTAL_SCROLLBAR_ALWAYS`
Used to set the horizontal scroll bar policy so that horizontal scrollbars are always displayed.
`static int`
`HORIZONTAL_SCROLLBAR_AS_NEEDED`
Used to set the horizontal scroll bar policy so that horizontal scrollbars are displayed only when needed.
`static int`
`HORIZONTAL_SCROLLBAR_NEVER`
Used to set the horizontal scroll bar policy so that horizontal scrollbars are never displayed.
`static String`
`HORIZONTAL_SCROLLBAR_POLICY`
Identifies the horizontal scroll bar policy property.
`static String`
`LOWER_LEADING_CORNER`
Identifies the lower leading edge corner of the viewport.
`static String`
`LOWER_LEFT_CORNER`
Identifies the lower left corner of the viewport.
`static String`
`LOWER_RIGHT_CORNER`
Identifies the lower right corner of the viewport.
`static String`
`LOWER_TRAILING_CORNER`
Identifies the lower trailing edge corner of the viewport.
`static String`
`ROW_HEADER`
Identifies the area along the left side of the viewport between the upper left corner and the lower left corner.
`static String`
`UPPER_LEADING_CORNER`
Identifies the upper leading edge corner of the viewport.
`static String`
`UPPER_LEFT_CORNER`
Identifies the upper left corner of the viewport.
`static String`
`UPPER_RIGHT_CORNER`
Identifies the upper right corner of the viewport.
`static String`
`UPPER_TRAILING_CORNER`
Identifies the upper trailing edge corner of the viewport.
`static String`
`VERTICAL_SCROLLBAR`
Identifies a vertical scrollbar.
`static int`
`VERTICAL_SCROLLBAR_ALWAYS`
Used to set the vertical scroll bar policy so that vertical scrollbars are always displayed.
`static int`
`VERTICAL_SCROLLBAR_AS_NEEDED`
Used to set the vertical scroll bar policy so that vertical scrollbars are displayed only when needed.
`static int`
`VERTICAL_SCROLLBAR_NEVER`
Used to set the vertical scroll bar policy so that vertical scrollbars are never displayed.
`static String`
`VERTICAL_SCROLLBAR_POLICY`
Identifies the vertical scroll bar policy property.
`static String`
`VIEWPORT`
Identifies a "viewport" or display area, within which scrolled contents are visible.

## Field Details

### VIEWPORT

static final String VIEWPORT
Identifies a "viewport" or display area, within which scrolled contents are visible.

See Also:
  Constant Field Values

### VERTICAL_SCROLLBAR

static final String VERTICAL_SCROLLBAR
Identifies a vertical scrollbar.

See Also:
  Constant Field Values

### HORIZONTAL_SCROLLBAR

static final String HORIZONTAL_SCROLLBAR
Identifies a horizontal scrollbar.

See Also:
  Constant Field Values

### ROW_HEADER

static final String ROW_HEADER
Identifies the area along the left side of the viewport between the upper left corner and the lower left corner.

See Also:
  Constant Field Values

### COLUMN_HEADER

static final String COLUMN_HEADER
Identifies the area at the top the viewport between the upper left corner and the upper right corner.

See Also:
  Constant Field Values

### LOWER_LEFT_CORNER

static final String LOWER_LEFT_CORNER
Identifies the lower left corner of the viewport.

See Also:
  Constant Field Values

### LOWER_RIGHT_CORNER

static final String LOWER_RIGHT_CORNER
Identifies the lower right corner of the viewport.

See Also:
  Constant Field Values

### UPPER_LEFT_CORNER

static final String UPPER_LEFT_CORNER
Identifies the upper left corner of the viewport.

See Also:
  Constant Field Values

### UPPER_RIGHT_CORNER

static final String UPPER_RIGHT_CORNER
Identifies the upper right corner of the viewport.

See Also:
  Constant Field Values

### LOWER_LEADING_CORNER

static final String LOWER_LEADING_CORNER
Identifies the lower leading edge corner of the viewport. The leading edge is determined relative to the Scroll Pane's ComponentOrientation property.

See Also:
  Constant Field Values

### LOWER_TRAILING_CORNER

static final String LOWER_TRAILING_CORNER
Identifies the lower trailing edge corner of the viewport. The trailing edge is determined relative to the Scroll Pane's ComponentOrientation property.

See Also:
  Constant Field Values

### UPPER_LEADING_CORNER

static final String UPPER_LEADING_CORNER
Identifies the upper leading edge corner of the viewport. The leading edge is determined relative to the Scroll Pane's ComponentOrientation property.

See Also:
  Constant Field Values

### UPPER_TRAILING_CORNER

static final String UPPER_TRAILING_CORNER
Identifies the upper trailing edge corner of the viewport. The trailing edge is determined relative to the Scroll Pane's ComponentOrientation property.

See Also:
  Constant Field Values

### VERTICAL_SCROLLBAR_POLICY

static final String VERTICAL_SCROLLBAR_POLICY
Identifies the vertical scroll bar policy property.

See Also:
  Constant Field Values

### HORIZONTAL_SCROLLBAR_POLICY

static final String HORIZONTAL_SCROLLBAR_POLICY
Identifies the horizontal scroll bar policy property.

See Also:
  Constant Field Values

### VERTICAL_SCROLLBAR_AS_NEEDED

static final int VERTICAL_SCROLLBAR_AS_NEEDED
Used to set the vertical scroll bar policy so that vertical scrollbars are displayed only when needed.

See Also:
  Constant Field Values

### VERTICAL_SCROLLBAR_NEVER

static final int VERTICAL_SCROLLBAR_NEVER
Used to set the vertical scroll bar policy so that vertical scrollbars are never displayed.

See Also:
  Constant Field Values

### VERTICAL_SCROLLBAR_ALWAYS

static final int VERTICAL_SCROLLBAR_ALWAYS
Used to set the vertical scroll bar policy so that vertical scrollbars are always displayed.

See Also:
  Constant Field Values

### HORIZONTAL_SCROLLBAR_AS_NEEDED

static final int HORIZONTAL_SCROLLBAR_AS_NEEDED
Used to set the horizontal scroll bar policy so that horizontal scrollbars are displayed only when needed.

See Also:
  Constant Field Values

### HORIZONTAL_SCROLLBAR_NEVER

static final int HORIZONTAL_SCROLLBAR_NEVER
Used to set the horizontal scroll bar policy so that horizontal scrollbars are never displayed.

See Also:
  Constant Field Values

### HORIZONTAL_SCROLLBAR_ALWAYS

static final int HORIZONTAL_SCROLLBAR_ALWAYS
Used to set the horizontal scroll bar policy so that horizontal scrollbars are always displayed.

See Also:
  Constant Field Values